CYGFUSE(8)

NAME
cygfuse - Cygwin interface to Windows FUSE providers

SYNOPSIS
cygfuse

DESCRIPTION
Filesystem in Userspace (FUSE) is a simple interface for user programs to export a virtual filesystem to Cygwin. It also aims to provide a secure method for non-privileged users to create and mount their own filesystem implementations.

Cygfuse supplies an emulation of Linux libfuse/libfuse3. It allows FUSE clients such as sshfs, memfs, ftpfs, etc to make use of certain FUSE providers implemented for Windows.

At this time WinFSP is the only Windows FUSE provider supported.

OPTIONS
(This section reserved to eventually discuss selecting between multiple Windows FUSE providers.)

SEE ALSO
fusermount(1), mount(1)

HOMEPAGE
More information about cygfuse can be found at its homepage <https://github.com/mgeisert/cygfuse>.

Information about WinFSP can be found at <http://www.secfs.net/winfsp>.

AUTHORS
cygfuse was created by Bill Zissimopoulos <billziss@navimatics.com> and offered as a Cygwin add-on in his WinFSP product.

Its Cygwin package maintainer is Mark A. Geisert <mark@maxrnd.com>.